<?php
	if( $docroot == '' ){
		die( _("Accesso negato!") );
	}
	
	switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){

				$dir = save($_POST['dir']);
				$dir_new = save($_POST['dir_new']);
				$txt_suffisso = save($_POST['txt_suffisso']);
				$descrizione = save($_POST['descrizione']);
				$dir_pdf = save($_POST['dir_pdf']);		
				$dir_pdf_attivita = save($_POST['dir_pdf_attivita']);	
				$nome_rapporto = save($_POST['nome_rapporto']);				

				$oggetto_mail_attivita = save($_POST['oggetto_mail_attivita']);				
				$testo_mail_attivita = save($_POST['testo_mail_attivita']);				
				
				( $_POST['mod_mag'] == 'on' ) ? $mod_mag=1 : $mod_mag=0;
				( $_POST['mod_sta'] == 'on' ) ? $mod_sta=1 : $mod_sta=0;
				( $_POST['mod_mov'] == 'on' ) ? $mod_mov=1 : $mod_mov=0;			
				( $_POST['mod_num'] == 'on' ) ? $mod_num=1 : $mod_num=0;				
				( $_POST['stampa_prezzi'] == 'on' ) ? $stampa_prezzi=1 : $stampa_prezzi=0;
				( $_POST['ges_primanota'] == 'on' ) ? $ges_primanota=1 : $ges_primanota=0;				
				( $_POST['add_scadenza'] == 'on' ) ? $add_scadenza=1 : $add_scadenza=0;
				( $_POST['sta_stampa'] == 'on' ) ? $sta_stampa=1 : $sta_stampa=0;
				( $_POST['var_creaordine'] == 'on' ) ? $var_creaordine=1 : $var_creaordine=0;							
				( $_POST['pan_spedizioni'] == 'on' ) ? $pan_spedizioni=1 : $pan_spedizioni=0;	
				( $_POST['matricola_obb'] == 'on' ) ? $matricola_obb=1 : $matricola_obb=0;	
				( $_POST['suffisso_anno'] == 'on' ) ? $suffisso_anno=1 : $suffisso_anno=0;
				( $_POST['mod_transazioni'] == 'on' ) ? $mod_transazioni=1 : $mod_transazioni=0;
				( $_POST['mod_scorte'] == 'on' ) ? $mod_scorte=1 : $mod_scorte=0;
				( $_POST['vedi_transazione'] == 'on' ) ? $vedi_transazione=1 : $vedi_transazione=0;		
				( $_POST['vedi_transazionepdf'] == 'on' ) ? $vedi_transazionepdf=1 : $vedi_transazionepdf=0;	
				( $_POST['mod_transazione'] == 'on' ) ? $mod_transazione=1 : $mod_transazione=0;	
				( $_POST['pan_aggiuntive'] == 'on' ) ? $pan_aggiuntive=1 : $pan_aggiuntive=0;	
				( $_POST['pan_scadenze'] == 'on' ) ? $pan_scadenze=1 : $pan_scadenze=0;	
				( $_POST['mod_impegnato'] == 'on' ) ? $mod_impegnato=1 : $mod_impegnato=0;	
				( $_POST['mod_ord_for'] == 'on' ) ? $mod_ord_for=1 : $mod_ord_for=0;					
				( $_POST['mod_riepilogo_iva'] == 'on' ) ? $mod_riepilogo_iva=1 : $mod_riepilogo_iva=0;	
				( $_POST['mod_ordineservizio'] == 'on' ) ? $mod_ordineservizio=1 : $mod_ordineservizio=0;	
				( $_POST['mod_prodotollo'] == 'on' ) ? $mod_prodotollo=1 : $mod_prodotollo=0;	
				( $_POST['colli_automatico'] == 'on' ) ? $colli_automatico=1 : $colli_automatico=0;	
				( $_POST['pan_stampe'] == 'on' ) ? $pan_stampe=1 : $pan_stampe=0;	
				( $_POST['forza_numerazione'] == 'on' ) ? $forza_numerazione=1 : $forza_numerazione=0;	
				( $_POST['el_allegato'] == 'on' ) ? $el_allegato=1 : $el_allegato=0;	
				
				$testo_km = save($_POST['testo_km']);
				
				( $_POST['differito_doc'] == 'on' ) ? $differito_doc=1 : $differito_doc=0;
				$differito_suc = save($_POST['differito_suc']);
				$differito_sta = save($_POST['differito_sta']);
				
				// parametri creazioen automatica
				$sta_cambio = save($_POST['sta_cambio']);
				$doc_sucessivo = save($_POST['doc_sucessivo']);
				$sta_sucessivo = save($_POST['sta_sucessivo']);
				$sta_scadenziario = save($_POST['sta_scadenziario']);				
				$id_gruppo_tipologia = save($_POST['id_gruppo_tipologia']);				
				$sta_apertura = save($_POST['sta_apertura']);
				$sta_concluso = save($_POST['sta_concluso']);
				$sta_conto = save($_POST['sta_conto']);
				$idconto = save($_POST['idconto']);
				$idpagamento = save($_POST['idpagamento']);
				$var_formato_num = save($_POST['var_formato_num']);				
				$ges_ritenuta = save($_POST['ges_ritenuta']);
				$ges_rivalsa = save($_POST['ges_rivalsa']);
				$ges_marca = force_decimal($_POST['ges_marca']);
				$marca_bollo = force_decimal($_POST['marca_bollo']);
				$dicitura_fissa = save($_POST['dicitura_fissa']);
				$path_archivio = save($_POST['path_archivio']);
				$mail_oggetto = save($_POST['mail_oggetto']);
				$mail_scadenza = save($_POST['mail_scadenza']);
				$mail_testo = save($_POST['mail_testo']);
				$stato_transazione_concluso = save($_POST['stato_tr_concluso']);
				$differito_sta_suc = save($_POST['differito_sta_suc']);
				$doc_sucessivo_stato_padre = save($_POST['doc_sucessivo_stato_padre']);
				$mod_myimpianti = save($_POST['mod_myimpianti']);
				$id_magazzino_e = save($_POST['id_magazzino_e']);
				$id_magazzino_u = save($_POST['id_magazzino_u']);
				$id_tipo_u = save($_POST['id_tipo_u']);
				
				$id_tipoanagrafica = save($_POST['id_tipoanagrafica']);
			

				
				
				
				// parametri per fattura elettronica
				( $_POST['elettronica'] == 'on' ) ? $elettronica=1 : $elettronica=0;	
				$el_tipodocumento = save($_POST['el_tipodocumento']);
				$el_divisa = save($_POST['el_divisa']);

				if( $dir <> $dir_new ){
					$query = "UPDATE co_tipidocumento SET dir=\"$dir_new\"".
					" WHERE id=\"".$id_record."\"";
					$dbo->query( $query );			
				}

				// VERSIONE PRO
				( $_POST['agg_prezzo_u'] == 'on' ) ? $agg_prezzo_u=1 : $agg_prezzo_u=0;	
				( $_POST['agg_prezzo_e'] == 'on' ) ? $agg_prezzo_e=1 : $agg_prezzo_e=0;	
				

				$query = "UPDATE co_tipidocumento SET descrizione=\"$descrizione\",".
					"mod_mag=\"$mod_mag\",".
					"mod_sta=\"$mod_sta\",".
					"mod_mov=\"$mod_mov\",".
					"mod_num=\"$mod_num\",".													
					"dir_pdf=\"$dir_pdf\",".
					"dir_pdf_attivita=\"$dir_pdf_attivita\",".	
					"nome_rapporto=\"$nome_rapporto\",".						
					"id_gruppo_tipologia=\"$id_gruppo_tipologia\",".	
					"stampa_prezzi=\"$stampa_prezzi\",".	
					"oggetto_mail_attivita=\"$oggetto_mail_attivita\",".	
					"testo_mail_attivita=\"$testo_mail_attivita\",".						
				// variabili doc sucessivo
					"suffisso_anno=\"$suffisso_anno\",".
					"sta_cambio=\"$sta_cambio\",".
					"matricola_obb=\"$matricola_obb\",".
					"mod_ord_for=\"$mod_ord_for\",".
					"doc_sucessivo=\"$doc_sucessivo\",".
					"sta_sucessivo=\"$sta_sucessivo\",".
					"sta_scadenziario=\"$sta_scadenziario\",".
					"ges_primanota=\"$ges_primanota\",".
					"sta_apertura=\"$sta_apertura\",".
					"sta_concluso=\"$sta_concluso\",".
					"idconto=\"$idconto\",".
					"sta_conto=\"$sta_conto\",".
					"idpagamento=\"$idpagamento\",".	
					"var_formato_num=\"$var_formato_num\",".						
					"pan_spedizioni=\"$pan_spedizioni\",".
					"pan_aggiuntive=\"$pan_aggiuntive\",".
					"pan_scadenze=\"$pan_scadenze\",".
					"ges_ritenuta=\"$ges_ritenuta\",".	
					"ges_rivalsa=\"$ges_rivalsa\",".	
					"ges_marca=\"$ges_marca\",".	
					"mod_transazioni=\"$mod_transazioni\",".	
					"differito_sta_suc=\"$differito_sta_suc\",".
					"doc_sucessivo_stato_padre=\"$doc_sucessivo_stato_padre\",".
					"marca_bollo=\"$marca_bollo\",".	
					"dicitura_fissa=\"$dicitura_fissa\",".										
					"add_scadenza=\"$add_scadenza\",".
					"sta_stampa=\"$sta_stampa\",".
					"var_creaordine=\"$var_creaordine\",".					
					"differito_doc=\"$differito_doc\",".
					"differito_suc=\"$differito_suc\",".
					"differito_sta=\"$differito_sta\",".																
					"path_archivio=\"$path_archivio\",".
					"mail_oggetto=\"$mail_oggetto\",".
					"mail_scadenza=\"$mail_scadenza\",".
					"mail_testo=\"$mail_testo\",".	
					"mod_scorte=\"$mod_scorte\",".
					"mod_impegnato=\"$mod_impegnato\",".
					"vedi_transazione=\"$vedi_transazione\",".	
					"vedi_transazionepdf=\"$vedi_transazionepdf\",".
					"stato_transazione_concluso=\"$stato_transazione_concluso\",".
					"mod_transazione=\"$mod_transazione\",".
					"elettronica=\"$elettronica\",".	
					"el_tipodocumento=\"$el_tipodocumento\",".	
					"el_divisa=\"$el_divisa\",".	
					"mod_riepilogo_iva=\"$mod_riepilogo_iva\",".	
					"mod_ordineservizio=\"$mod_ordineservizio\",".	
					"mod_myimpianti=\"$mod_myimpianti\",".	
					"mod_prodotollo=\"$mod_prodotollo\",".	
					"id_magazzino_e=\"$id_magazzino_e\",".	
					"id_magazzino_u=\"$id_magazzino_u\",".	
					"id_tipo_u=\"$id_tipo_u\",".	
					"id_tipoanagrafica=\"$id_tipoanagrafica\",".
					"testo_km=\"$testo_km\",".
					"colli_automatico=\"$colli_automatico\",".
					"pan_stampe=\"$pan_stampe\",".
					"forza_numerazione=\"$forza_numerazione\",".
					"el_allegato=\"$el_allegato\",".
				// variabili pro						
					"agg_prezzo_u=\"$agg_prezzo_u\",".
					"agg_prezzo_e=\"$agg_prezzo_e\",".	
				// chiusura update	
					"txt_suffisso=\"$txt_suffisso\"".						
					" WHERE id=\"".$id_record."\"";
					$dbo->query( $query );		
								
					//Upload file
					$f = pathinfo( $_FILES['immagine01']['name'] );
					$filename = $f['filename'].".jpg";
					$upload_dir = $docroot."/files/default";
					$tmp = $_FILES['immagine01']['tmp_name'];													
					
					if( $_FILES['immagine01']['name'] != '' ){
							$filename = unique_filename( $filename, $upload_dir );
						
							if( create_logo( $tmp, $filename, $upload_dir ) ){
								$file_ori=$docroot."/files/default/".$filename;
								$file_des=$docroot."/templates/".$dir_pdf."/logo_azienda.jpg";	
								$dbo->query("UPDATE co_tipidocumento SET logo='logo_azienda.jpg' WHERE id=\"".$id_record."\"");
								if (!copy($file_ori, $file_des)) {
									array_push($_SESSION["infos"], _("Errore in riprisitno logo default!"));
									$dbo->query("UPDATE co_tipidocumento SET logo='' WHERE id=\"".$id_record."\"");				
								}	
							}						
							else{
								array_push( $_SESSION['warnings'], "Errore durante il caricamento del file in ".$upload_dir."!" );
							}
					}

					//Eliminazione file e quindi ripristino
					if( $html->form('immagine01','post') == 'deleteme' ){												
						$file_ori=$docroot."/files/default/logo_azienda.jpg";
						$file_des=$docroot."/templates/".$dir_pdf."/logo_azienda.jpg";								
						unlink($file_des);
						$dbo->query("UPDATE co_tipidocumento SET logo='' WHERE id=\"".$id_record."\"");
						if (!copy($file_ori, $file_des)) {
							array_push($_SESSION["infos"], _("Errore in riprisitno logo default!"));
							$dbo->query("UPDATE co_tipidocumento SET logo='logo_azienda.jpg' WHERE id=\"".$id_record."\"");						
						}			
					}				
				array_push($_SESSION["infos"], _("Salvataggio completato!"));	
			}			
			else{
				array_push( $_SESSION['errors'], "Permesso negato!");	
			}
			break;
		case "add":
			$dir_new = save($_POST['dir_new']);
			$descrizione = save($_POST['descrizione']);
			$query = "INSERT INTO co_tipidocumento( descrizione, dir ) VALUES ( \"".$descrizione."\", \"".$dir_new."\" )";
			$dbo->query($query);
			$id_record = $dbo->last_inserted_id();
			array_push($_SESSION["infos"], _("Creazione tipologia completato!"));		
		break;
		
		case "del_menu";
			$dbo->query("UPDATE co_tipidocumento SET idmenu=0 WHERE  id='".$id_record."'");
			$rs = $dbo->fetchArray("SELECT id , descrizione FROM co_tipidocumento WHERE id='".$id_record."'");
			$id_filtro = $rs[0]['id'];	
			$descrizione_filtro = $rs[0]['descrizione'];						
			$dbo->query("delete from zz_modules_documenti where  filtra_valore='".$id_filtro."'");
			$rs = $dbo->fetchArray("SELECT id  FROM zz_modules where name='".$descrizione_filtro."'");
			$id_mod = $rs[0]['id'];				
			$dbo->query("delete from zz_modules where name='".$descrizione_filtro."'");			
			$rs = $dbo->fetchArray("SELECT * FROM zz_viste where id_module='".$id_mod."'");
			for($r = 0; $r < sizeof($rs); $r ++) {	
				$id_vista=$rs[$r]['id'];
				$dbo->query("delete from zz_gruppi_viste where id_vista='".$id_vista."'");					
			}			
			$dbo->query("delete from zz_viste where id_module='".$id_mod."'");
			
			array_push($_SESSION["infos"], _("Voce di menu rimossa"));		
		break;
		
		case "add_menu";			
			$dbo->query("UPDATE co_tipidocumento SET idmenu=1 WHERE  id='".$id_record."'");		
			$rs = $dbo->fetchArray("SELECT id , descrizione FROM co_tipidocumento WHERE id='".$id_record."'");
			$id_filtro = $rs[0]['id'];	
			$descrizione_filtro = $rs[0]['descrizione'];	
			
			$rs = $dbo->fetchArray("SELECT id FROM zz_modules WHERE name='Fatture di vendita'");
			$idmodulo_padre = $rs[0]['id'];	
			
			$query="INSERT INTO zz_modules (  module_dir, options, options2, icon, version, compatibility, parent, default_menu, enabled, type, new) 
			SELECT module_dir, options, options2, icon, version, compatibility, parent, default_menu, enabled, type, new FROM zz_modules WHERE id = '".$idmodulo_padre."'";			
			$dbo->query($query);
			$id_new_record = $dbo->last_inserted_id();						
			$dbo->query("UPDATE zz_modules SET name='".$descrizione_filtro."' , `order` = 1 , `default` = 1 , vedi_personalizzati = 1 WHERE id='".$id_new_record."'");
		
			$cerca="HAVING 1=1";
			$sostituisci="HAVING 1=1 and idtipodocumento=".$id_filtro."";
			$filtra_cerca="1=1";
			$filtra_sostituisci="1=1 and co_documenti.idtipodocumento=".$id_filtro."";
			$query="insert into zz_modules_documenti SET idmodule='".$id_new_record."' , filtra_valore='".$id_filtro."' , cerca='".$cerca."' , sostituisci='".$sostituisci."'";			
			$dbo->query($query);
			// ricerco in zz_viste ed aggiungo la nuova vista
			$query="INSERT INTO zz_viste (`id_module`, `name`, `query`, `order`, `search`, `slow`, `search_inside`, `order_by`, `enabled`, `summable`, `default` ) 
			SELECT ".$id_new_record.", `name`, `query`, `order`, `search`, `slow`, `search_inside`, `order_by`, `enabled`, `summable`, 0 FROM zz_viste WHERE id_module = '".$idmodulo_padre."'";			
			$dbo->query($query);
			// inserisco i permessi alle viste
			$rs = $dbo->fetchArray("SELECT *  FROM zz_viste where id_module='".$id_new_record."'");
			for($r = 0; $r < sizeof($rs); $r ++) {	
				$id_vista=$rs[$r]['id'];
				$query="INSERT INTO zz_gruppi_viste	(id_gruppo,id_vista) values (1,'".$id_vista."')";
				$dbo->query($query);
				$query="INSERT INTO zz_gruppi_viste	(id_gruppo,id_vista) values (2,'".$id_vista."')";
				$dbo->query($query);
				$query="INSERT INTO zz_gruppi_viste	(id_gruppo,id_vista) values (3,'".$id_vista."')";
				$dbo->query($query);
				$query="INSERT INTO zz_gruppi_viste	(id_gruppo,id_vista) values (4,'".$id_vista."')";
				$dbo->query($query);
			}
			
			array_push($_SESSION["infos"], _("Nuova voce di menu creata"));		
			
		break;

		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				if(isset($id_record)){
					$q="SELECT * FROM co_documenti WHERE idtipodocumento=\"".$id_record."\"";
					$n = $dbo->fetchNum($q);
					if( $n==0 ){
						$query="DELETE FROM co_tipidocumento WHERE id=\"".$id_record."\"";
						$dbo->query($query);
	
						array_push($_SESSION["infos"],  "Tipologia eliminata con successo!");
					}
					else array_push($_SESSION["errors"], "Ci sono documenti con questa tipologia!");
			
				}
			}
		break;


		

		

	}
?>
